package com.sinosig.core.module.dao;

import com.sinosig.core.module.filter.CIDSearchContext;
import com.sinosig.core.module.dao.po.ICIDTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface ICIDTableDAO {

    ICIDTable createCidTable();

    boolean create(ICIDTable et);

    ICIDTable get(String cidid);

    ICIDTable get(ICIDTable et);

    boolean update(ICIDTable et);

    boolean remove(String cidid);


    List<ICIDTable> searchDefault(CIDSearchContext context);
}
